Get Storage Credential

gethttps://app.mk.io/api/v1/projects/:project_name/media/storage/:storage_name/credentials/:credential_id

Returns a single Storage Credential. Any secret data will be sanitized in the response.

RBAC Capability Required: infra.storagetoken.get

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
storage_namestringRequired
credential_idstringRequiredformat: uuid

Response

200A single Storage Credential.

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…